// {{{RME classifier 'Logical View::P_ECRM'

#ifndef P_ECRM_H
#define P_ECRM_H

#ifdef PRAGMA
#pragma interface "P_ECRM.h"
#endif

#include <RTSystem/VCNS.h>

struct P_ECRM
{
	class Base : public RTRootProtocol
	{
	public:
		inline Base( void );
		inline ~Base( void );

	protected:
		enum { rtiLast_P_ECRM = rtiLast_RTRootProtocol };

	public:
		static const RTProtocolDescriptor rt_class;

	private:
		static const RTSignalDescriptor rt_signals[];
	};
	class Conjugate : public RTRootProtocol
	{
	public:
		inline Conjugate( void );
		inline ~Conjugate( void );

	protected:
		enum { rtiLast_P_ECRM = rtiLast_RTRootProtocol };

	public:
		static const RTProtocolDescriptor rt_class;

	private:
		static const RTSignalDescriptor rt_signals[];
	};
};

inline P_ECRM::Base::Base( void )
	: RTRootProtocol()
{
}

inline P_ECRM::Base::~Base( void )
{
}

inline P_ECRM::Conjugate::Conjugate( void )
	: RTRootProtocol()
{
}

inline P_ECRM::Conjugate::~Conjugate( void )
{
}

#endif /* P_ECRM_H */

// }}}RME
