// {{{RME classifier 'Logical View::P_SUII'

#ifndef P_SUII_H
#define P_SUII_H

#ifdef PRAGMA
#pragma interface "P_SUII.h"
#endif

#include <RTSystem/VCNS.h>

struct P_SUII
{
	class Base : public RTRootProtocol
	{
	public:
		inline Base( void );
		inline ~Base( void );

	protected:
		enum { rtiLast_P_SUII = rtiLast_RTRootProtocol };

	public:
		static const RTProtocolDescriptor rt_class;

	private:
		static const RTSignalDescriptor rt_signals[];
	};
	class Conjugate : public RTRootProtocol
	{
	public:
		inline Conjugate( void );
		inline ~Conjugate( void );

	protected:
		enum { rtiLast_P_SUII = rtiLast_RTRootProtocol };

	public:
		static const RTProtocolDescriptor rt_class;

	private:
		static const RTSignalDescriptor rt_signals[];
	};
};

inline P_SUII::Base::Base( void )
	: RTRootProtocol()
{
}

inline P_SUII::Base::~Base( void )
{
}

inline P_SUII::Conjugate::Conjugate( void )
	: RTRootProtocol()
{
}

inline P_SUII::Conjugate::~Conjugate( void )
{
}

#endif /* P_SUII_H */

// }}}RME
