// {{{RME classifier 'Logical View::P_VBAD'

#if defined( PRAGMA ) && ! defined( PRAGMA_IMPLEMENTED )
#pragma implementation "P_VBAD.h"
#endif

#include <RTSystem/VCNS.h>
#include <P_VBAD.h>

const RTProtocolDescriptor P_VBAD::Base::rt_class =
{
	&RTRootProtocol::rt_class
  , &P_VBAD::Conjugate::rt_class
  , "P_VBAD"
  , 0
  , 2
  , P_VBAD::Base::rt_signals
#if RTRUNTIMEBC
  , &RTProtocolDescriptor::getUnknownGlobalSignal, &RTProtocolDescriptor::getUnknownLocalSignal
#endif
};

const RTSignalDescriptor P_VBAD::Base::rt_signals[] =
{
	{
		"rtBound"
	  , (const RTObject_class *)0
	  , P_VBAD::Base::rti_rtBound
	}
  , {
		"rtUnbound"
	  , (const RTObject_class *)0
	  , P_VBAD::Base::rti_rtUnbound
	}
};

const RTProtocolDescriptor P_VBAD::Conjugate::rt_class =
{
	&RTRootProtocol::rt_class
  , &P_VBAD::Base::rt_class
  , "P_VBAD"
  , 0
  , 2
  , P_VBAD::Conjugate::rt_signals
#if RTRUNTIMEBC
  , &RTProtocolDescriptor::getUnknownGlobalSignal, &RTProtocolDescriptor::getUnknownLocalSignal
#endif
};

const RTSignalDescriptor P_VBAD::Conjugate::rt_signals[] =
{
	{
		"rtBound"
	  , (const RTObject_class *)0
	  , P_VBAD::Conjugate::rti_rtBound
	}
  , {
		"rtUnbound"
	  , (const RTObject_class *)0
	  , P_VBAD::Conjugate::rti_rtUnbound
	}
};

// }}}RME
