// {{{RME classifier 'Logical View::VCNS_TopCapsule'

#ifndef VCNS_TopCapsule_H
#define VCNS_TopCapsule_H

#ifdef PRAGMA
#pragma interface "VCNS_TopCapsule.h"
#endif

#include <RTSystem/VCNS.h>

// {{{RME tool 'OT::Cpp' property 'HeaderPreface'
// {{{USR

// }}}USR
// }}}RME

extern const RTActorClass VCNS_TopCapsule;

#define SUPER RTActor
class VCNS_TopCapsule_Actor : public RTActor
{
public:
	// {{{RME tool 'OT::Cpp' property 'PublicDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

protected:
	// {{{RME tool 'OT::Cpp' property 'ProtectedDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

private:
	// {{{RME tool 'OT::Cpp' property 'PrivateDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

protected:
	// {{{RME capsuleRole 'cap_ECRM_ECOMR1'
	RTActorRef cap_ECRM_ECOMR1;
	// }}}RME
	// {{{RME capsuleRole 'cap_SUII_VCOMSATR1'
	RTActorRef cap_SUII_VCOMSATR1;
	// }}}RME
	// {{{RME capsuleRole 'cap_VBADR1'
	RTActorRef cap_VBADR1;
	// }}}RME
	// {{{RME capsuleRole 'cap_VCOMR1'
	RTActorRef cap_VCOMR1;
	// }}}RME
	// {{{RME capsuleRole 'cap_VNAVR1'
	RTActorRef cap_VNAVR1;
	// }}}RME
	// {{{RME capsuleRole 'cap_VVIGR1'
	RTActorRef cap_VVIGR1;
	// }}}RME

public:
	VCNS_TopCapsule_Actor( RTController * rtg_rts, RTActorRef * rtg_ref );
	virtual ~VCNS_TopCapsule_Actor( void );
	virtual int _followOutV( RTBindingEnd & rtg_end, int rtg_compId, int rtg_portId, int rtg_repIndex );
	virtual void rtsBehavior( int signalIndex, int portIndex );
	virtual const RTActor_class * getActorData( void ) const;

protected:
	static const RTActor_class rtg_class;

public:
	static const RTStateId rtg_parent_state[];

private:
	static const RTComponentDescriptor rtg_capsule_roles[];
};
#undef SUPER

// {{{RME tool 'OT::Cpp' property 'HeaderEnding'
// {{{USR

// }}}USR
// }}}RME

#endif /* VCNS_TopCapsule_H */

// }}}RME
