// {{{RME classifier 'Logical View::cap_SUII_VCOMSAT'

#if defined( PRAGMA ) && ! defined( PRAGMA_IMPLEMENTED )
#pragma implementation "cap_SUII_VCOMSAT.h"
#endif

#include <RTSystem/VCNS.h>
#include <cap_SUII_VCOMSAT.h>

// {{{RME tool 'OT::Cpp' property 'ImplementationPreface'
// {{{USR

// }}}USR
// }}}RME

static const RTRelayDescriptor rtg_relays[] =
{
	{
		"SUII"
	  , &P_SUII::Conjugate::rt_class
	  , 1 // cardinality
	}
};

static RTActor * new_cap_SUII_VCOMSAT_Actor( RTController * _rts, RTActorRef * _ref )
{
	return new cap_SUII_VCOMSAT_Actor( _rts, _ref );
}

const RTActorClass cap_SUII_VCOMSAT =
{
	(const RTActorClass *)0
  , "cap_SUII_VCOMSAT"
  , (RTVersionId)0
  , 1
  , rtg_relays
  , new_cap_SUII_VCOMSAT_Actor
};

static const char * const rtg_state_names[] =
{
	"TOP"
};

#define SUPER RTActor

cap_SUII_VCOMSAT_Actor::cap_SUII_VCOMSAT_Actor( RTController * rtg_rts, RTActorRef * rtg_ref )
	: RTActor( rtg_rts, rtg_ref )
{
}

cap_SUII_VCOMSAT_Actor::~cap_SUII_VCOMSAT_Actor( void )
{
}

// {{{RME operation 'Enviar_Dados_Voo()'
void cap_SUII_VCOMSAT_Actor::Enviar_Dados_Voo( void )
{
	// {{{USR

	// }}}USR
}
// }}}RME

// {{{RME operation 'Obter_Dados_Configuracao_Voo()'
void cap_SUII_VCOMSAT_Actor::Obter_Dados_Configuracao_Voo( void )
{
	// {{{USR

	// }}}USR
}
// }}}RME

int cap_SUII_VCOMSAT_Actor::_followInV( RTBindingEnd & rtg_end, int rtg_portId, int rtg_repIndex )
{
	switch( rtg_portId )
	{
	case 0:
		// SUII
		if( rtg_repIndex < 1 )
		{
			rtg_end.port = &SUII;
			rtg_end.index = rtg_repIndex;
			return 1;
		}
		break;
	default:
		break;
	}
	return RTActor::_followInV( rtg_end, rtg_portId, rtg_repIndex );
}

void cap_SUII_VCOMSAT_Actor::rtsBehavior( int signalIndex, int portIndex )
{
	for( int stateIndex = getCurrentState(); ; )
		switch( stateIndex )
		{
		case 1:
			// {{{RME state ':TOP'
			switch( portIndex )
			{
			case 0:
				switch( signalIndex )
				{
				case 1:
					return;
				default:
					break;
				}
				break;
			default:
				break;
			}
			unexpectedMessage();
			return;
			// }}}RME
		default:
			unexpectedState();
			return;
		}
}

const RTActor_class * cap_SUII_VCOMSAT_Actor::getActorData( void ) const
{
	return &cap_SUII_VCOMSAT_Actor::rtg_class;
}

const RTActor_class cap_SUII_VCOMSAT_Actor::rtg_class =
{
	(const RTActor_class *)0
  , rtg_state_names
  , 1
  , cap_SUII_VCOMSAT_Actor::rtg_parent_state
  , &cap_SUII_VCOMSAT
  , 0
  , (const RTComponentDescriptor *)0
  , 1
  , cap_SUII_VCOMSAT_Actor::rtg_ports
  , 0
  , (const RTLocalBindingDescriptor *)0
  , 0
  , (const RTFieldDescriptor *)0
};

const RTStateId cap_SUII_VCOMSAT_Actor::rtg_parent_state[] =
{
	0
};

const RTPortDescriptor cap_SUII_VCOMSAT_Actor::rtg_ports[] =
{
	{
		"SUII"
	  , (const char *)0
	  , &P_SUII::Conjugate::rt_class
	  , RTOffsetOf( cap_SUII_VCOMSAT_Actor, cap_SUII_VCOMSAT_Actor::SUII )
	  , 1 // cardinality
	  , 1
	  , RTPortDescriptor::KindWired + RTPortDescriptor::NotificationDisabled + RTPortDescriptor::RegisterNotPermitted + RTPortDescriptor::VisibilityPublic
	}
};

#undef SUPER

// {{{RME tool 'OT::Cpp' property 'ImplementationEnding'
// {{{USR

// }}}USR
// }}}RME

// }}}RME
