// {{{RME classifier 'Logical View::cap_VCOM'

#ifndef cap_VCOM_H
#define cap_VCOM_H

#ifdef PRAGMA
#pragma interface "cap_VCOM.h"
#endif

#include <RTSystem/VCNS.h>
#include <P_ECRM.h>
#include <P_SUII.h>
#include <P_VBAD.h>

// {{{RME tool 'OT::Cpp' property 'HeaderPreface'
// {{{USR

// }}}USR
// }}}RME

extern const RTActorClass cap_VCOM;

#define SUPER RTActor
class cap_VCOM_Actor : public RTActor
{
public:
	// {{{RME tool 'OT::Cpp' property 'PublicDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

protected:
	// {{{RME tool 'OT::Cpp' property 'ProtectedDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

private:
	// {{{RME tool 'OT::Cpp' property 'PrivateDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

protected:
	// {{{RME capsuleRole 'cap_VBADR1'
	RTActorRef cap_VBADR1;
	// }}}RME
	// {{{RME capsuleRole 'cap_SUII_VCOMSATR1'
	RTActorRef cap_SUII_VCOMSATR1;
	// }}}RME
	// {{{RME capsuleRole 'cap_ECRM_ECOMR1'
	RTActorRef cap_ECRM_ECOMR1;
	// }}}RME
	// {{{RME port 'VCOM_VBAD'
	P_VBAD::Base VCOM_VBAD;
	// }}}RME
	// {{{RME port 'VCOM_ECRM'
	P_ECRM::Base VCOM_ECRM;
	// }}}RME
	// {{{RME port 'VCOM_SUII'
	P_SUII::Base VCOM_SUII;
	// }}}RME

public:
	cap_VCOM_Actor( RTController * rtg_rts, RTActorRef * rtg_ref );
	virtual ~cap_VCOM_Actor( void );
	// {{{RME operation 'Enviar_dados_do_voo()'
	static void Enviar_dados_do_voo( void );
	// }}}RME

protected:
	// {{{RME operation 'Obter_Dados_Configuracao_de_Voo()'
	static void Obter_Dados_Configuracao_de_Voo( void );
	// }}}RME

public:
	// {{{RME operation 'Enviar_Dados_de_Configuracao()'
	static void Enviar_Dados_de_Configuracao( void );
	// }}}RME

protected:
	// {{{RME operation 'Obter_Dados_de_Voo()'
	static void Obter_Dados_de_Voo( void );
	// }}}RME
	// {{{RME operation 'Obter_Dados_Solicitacao()'
	void Obter_Dados_Solicitacao( void );
	// }}}RME

public:
	// {{{RME operation 'Enviar_Dados_Solicitacao()'
	void Enviar_Dados_Solicitacao( void );
	// }}}RME
	virtual int _followInV( RTBindingEnd & rtg_end, int rtg_portId, int rtg_repIndex );

private:
	INLINE_CHAINS void chain6_Initial( void );

public:
	virtual void rtsBehavior( int signalIndex, int portIndex );
	virtual const RTActor_class * getActorData( void ) const;

protected:
	static const RTActor_class rtg_class;

public:
	static const RTStateId rtg_parent_state[];

private:
	static const RTComponentDescriptor rtg_capsule_roles[];
	static const RTPortDescriptor rtg_ports[];
};
#undef SUPER

// {{{RME tool 'OT::Cpp' property 'HeaderEnding'
// {{{USR

// }}}USR
// }}}RME

#endif /* cap_VCOM_H */

// }}}RME
