// {{{RME classifier 'Logical View::cap_VNAV'

#if defined( PRAGMA ) && ! defined( PRAGMA_IMPLEMENTED )
#pragma implementation "cap_VNAV.h"
#endif

#include <RTSystem/VCNS.h>
#include <cap_VNAV.h>
extern const RTActorClass cap_VBAD;

// {{{RME tool 'OT::Cpp' property 'ImplementationPreface'
// {{{USR

// }}}USR
// }}}RME

static const RTRelayDescriptor rtg_relays[] =
{
	{
		"VNAV_VBAD"
	  , &P_VBAD::Base::rt_class
	  , 1 // cardinality
	}
};

static RTActor * new_cap_VNAV_Actor( RTController * _rts, RTActorRef * _ref )
{
	return new cap_VNAV_Actor( _rts, _ref );
}

const RTActorClass cap_VNAV =
{
	(const RTActorClass *)0
  , "cap_VNAV"
  , (RTVersionId)0
  , 1
  , rtg_relays
  , new_cap_VNAV_Actor
};

static const char * const rtg_state_names[] =
{
	"TOP"
  , "Obtendo_Solicitao_de_Planejamento_de_Trajetria"
  , "Planejamento_de_Trajetria_Solicitado"
  , "Planejamento_de_Trajetria_No_Solicitado"
  , "Dados_de_Configurao_de_Vo_Obtidos"
  , "Trajetria_Planejada"
  , "Trajetria_Planejada_Enviada"
  , "CP1"
};

static const RTInterfaceDescriptor rtg_interfaces_vBADR1[] =
{
	{
		"VCOM"
	  , 0
	}
  , {
		"VNAV"
	  , 0
	}
  , {
		"VVIG"
	  , 0
	}
};

static const RTInterfaceDescriptor rtg_interfaces_cap_VBADR1[] =
{
	{
		"VCOM"
	  , 0
	}
  , {
		"VNAV"
	  , 0
	}
  , {
		"VVIG"
	  , 0
	}
};

#define SUPER RTActor

cap_VNAV_Actor::cap_VNAV_Actor( RTController * rtg_rts, RTActorRef * rtg_ref )
	: RTActor( rtg_rts, rtg_ref )
{
}

cap_VNAV_Actor::~cap_VNAV_Actor( void )
{
}

// {{{RME operation 'Obter_dados_de_configuracao_de_Voo()'
void cap_VNAV_Actor::Obter_dados_de_configuracao_de_Voo( void )
{
	// {{{USR

	// }}}USR
}
// }}}RME

// {{{RME operation 'Planejar_Trajetoria_para_Navegacao()'
void cap_VNAV_Actor::Planejar_Trajetoria_para_Navegacao( void )
{
	// {{{USR

	// }}}USR
}
// }}}RME

// {{{RME operation 'Enviar_trajetoria_planejada()'
void cap_VNAV_Actor::Enviar_trajetoria_planejada( void )
{
	// {{{USR

	// }}}USR
}
// }}}RME

// {{{RME operation 'Obter_Solicitacao_Planejamento_Trajetoria()'
void cap_VNAV_Actor::Obter_Solicitacao_Planejamento_Trajetoria( void )
{
	// {{{USR

	// }}}USR
}
// }}}RME

int cap_VNAV_Actor::_followInV( RTBindingEnd & rtg_end, int rtg_portId, int rtg_repIndex )
{
	switch( rtg_portId )
	{
	case 0:
		// VNAV_VBAD
		if( rtg_repIndex < 1 )
		{
			rtg_end.port = &VNAV_VBAD;
			rtg_end.index = rtg_repIndex;
			return 1;
		}
		break;
	default:
		break;
	}
	return RTActor::_followInV( rtg_end, rtg_portId, rtg_repIndex );
}

INLINE_CHAINS void cap_VNAV_Actor::chain4_Initial( void )
{
	// transition ':TOP:Initial:Initial'
	rtgChainBegin( 1, "Initial" );
	rtgTransitionBegin();
	rtgTransitionEnd();
	enterState( 2 );
}

void cap_VNAV_Actor::rtsBehavior( int signalIndex, int portIndex )
{
	for( int stateIndex = getCurrentState(); ; stateIndex = rtg_parent_state[ stateIndex - 1 ] )
		switch( stateIndex )
		{
		case 1:
			// {{{RME state ':TOP'
			switch( portIndex )
			{
			case 0:
				switch( signalIndex )
				{
				case 1:
					chain4_Initial();
					return;
				default:
					break;
				}
				break;
			default:
				break;
			}
			unexpectedMessage();
			return;
			// }}}RME
		case 2:
			// {{{RME state ':TOP:Obtendo_Solicitao_de_Planejamento_de_Trajetria'
			switch( portIndex )
			{
			case 0:
				switch( signalIndex )
				{
				case 1:
					return;
				default:
					break;
				}
				break;
			default:
				break;
			}
			break;
			// }}}RME
		case 3:
			// {{{RME state ':TOP:Planejamento_de_Trajetria_Solicitado'
			switch( portIndex )
			{
			case 0:
				switch( signalIndex )
				{
				case 1:
					return;
				default:
					break;
				}
				break;
			default:
				break;
			}
			break;
			// }}}RME
		case 4:
			// {{{RME state ':TOP:Planejamento_de_Trajetria_No_Solicitado'
			switch( portIndex )
			{
			case 0:
				switch( signalIndex )
				{
				case 1:
					return;
				default:
					break;
				}
				break;
			default:
				break;
			}
			break;
			// }}}RME
		case 5:
			// {{{RME state ':TOP:Dados_de_Configurao_de_Vo_Obtidos'
			switch( portIndex )
			{
			case 0:
				switch( signalIndex )
				{
				case 1:
					return;
				default:
					break;
				}
				break;
			default:
				break;
			}
			break;
			// }}}RME
		case 6:
			// {{{RME state ':TOP:Trajetria_Planejada'
			switch( portIndex )
			{
			case 0:
				switch( signalIndex )
				{
				case 1:
					return;
				default:
					break;
				}
				break;
			default:
				break;
			}
			break;
			// }}}RME
		case 7:
			// {{{RME state ':TOP:Trajetria_Planejada_Enviada'
			switch( portIndex )
			{
			case 0:
				switch( signalIndex )
				{
				case 1:
					return;
				default:
					break;
				}
				break;
			default:
				break;
			}
			break;
			// }}}RME
		default:
			unexpectedState();
			return;
		}
}

const RTActor_class * cap_VNAV_Actor::getActorData( void ) const
{
	return &cap_VNAV_Actor::rtg_class;
}

const RTActor_class cap_VNAV_Actor::rtg_class =
{
	(const RTActor_class *)0
  , rtg_state_names
  , 7
  , cap_VNAV_Actor::rtg_parent_state
  , &cap_VNAV
  , 2
  , cap_VNAV_Actor::rtg_capsule_roles
  , 1
  , cap_VNAV_Actor::rtg_ports
  , 0
  , (const RTLocalBindingDescriptor *)0
  , 0
  , (const RTFieldDescriptor *)0
};

const RTStateId cap_VNAV_Actor::rtg_parent_state[] =
{
	0
  , 1
  , 1
  , 1
  , 1
  , 1
  , 1
};

const RTComponentDescriptor cap_VNAV_Actor::rtg_capsule_roles[] =
{
	{
		"vBADR1"
	  , &cap_VBAD
	  , RTOffsetOf( cap_VNAV_Actor, vBADR1 )
	  , 1
	  , RTComponentDescriptor::Fixed
	  , 1
	  , 1 // cardinality
	  , 3
	  , rtg_interfaces_vBADR1
	  , 0
	  , (const RTBindingDescriptor *)0
	}
  , {
		"cap_VBADR1"
	  , &cap_VBAD
	  , RTOffsetOf( cap_VNAV_Actor, cap_VBADR1 )
	  , 2
	  , RTComponentDescriptor::Fixed
	  , 1
	  , 1 // cardinality
	  , 3
	  , rtg_interfaces_cap_VBADR1
	  , 0
	  , (const RTBindingDescriptor *)0
	}
};

const RTPortDescriptor cap_VNAV_Actor::rtg_ports[] =
{
	{
		"VNAV_VBAD"
	  , (const char *)0
	  , &P_VBAD::Base::rt_class
	  , RTOffsetOf( cap_VNAV_Actor, cap_VNAV_Actor::VNAV_VBAD )
	  , 1 // cardinality
	  , 1
	  , RTPortDescriptor::KindWired + RTPortDescriptor::NotificationDisabled + RTPortDescriptor::RegisterNotPermitted + RTPortDescriptor::VisibilityPublic
	}
};

#undef SUPER

// {{{RME tool 'OT::Cpp' property 'ImplementationEnding'
// {{{USR

// }}}USR
// }}}RME

// }}}RME
