// {{{RME classifier 'Logical View::VVIG::Image_Device'

#ifndef Image_Device_H
#define Image_Device_H

#ifdef PRAGMA
#pragma interface "Image_Device.h"
#endif

#include <RTSystem/VVIG.h>
#include <Image_Device_Protocol.h>

// {{{RME tool 'OT::Cpp' property 'HeaderPreface'
// {{{USR

// }}}USR
// }}}RME

extern const RTActorClass Image_Device;

#define SUPER RTActor
class Image_Device_Actor : public RTActor
{
public:
	// {{{RME tool 'OT::Cpp' property 'PublicDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

protected:
	// {{{RME tool 'OT::Cpp' property 'ProtectedDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

private:
	// {{{RME tool 'OT::Cpp' property 'PrivateDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

protected:
	// {{{RME port 'to_controller'
	Image_Device_Protocol::Conjugate to_controller;
	// }}}RME

public:
	Image_Device_Actor( RTController * rtg_rts, RTActorRef * rtg_ref );
	virtual ~Image_Device_Actor( void );
	virtual int _followInV( RTBindingEnd & rtg_end, int rtg_portId, int rtg_repIndex );

protected:
	// {{{RME transition ':TOP:Active:J4367A10300EC:take_photo'
	INLINE_METHODS void transition2_take_photo( const void * rtdata, Image_Device_Protocol::Conjugate * rtport );
	// }}}RME

private:
	INLINE_CHAINS void chain1_Initial( void );
	INLINE_CHAINS void chain2_take_photo( void );

public:
	virtual void rtsBehavior( int signalIndex, int portIndex );
	virtual const RTActor_class * getActorData( void ) const;

protected:
	static const RTActor_class rtg_class;

public:
	static const RTStateId rtg_parent_state[];

private:
	static const RTPortDescriptor rtg_ports[];
};
#undef SUPER

// {{{RME tool 'OT::Cpp' property 'HeaderEnding'
// {{{USR

// }}}USR
// }}}RME

#endif /* Image_Device_H */

// }}}RME
