// {{{RME classifier 'Logical View::VCNS::P_VBAD'

#ifndef P_VBAD_H
#define P_VBAD_H

#ifdef PRAGMA
#pragma interface "P_VBAD.h"
#endif

#include <RTSystem/VVIG.h>

struct P_VBAD
{
	class Base : public RTRootProtocol
	{
	public:
		inline Base( void );
		inline ~Base( void );

	protected:
		enum { rtiLast_P_VBAD = rtiLast_RTRootProtocol };

	public:
		inline RTOutSignal Captar_Imagem( void );
		static const RTProtocolDescriptor rt_class;

	private:
		static const RTSignalDescriptor rt_signals[];
	};
	class Conjugate : public RTRootProtocol
	{
	public:
		inline Conjugate( void );
		inline ~Conjugate( void );
		enum { rti_Captar_Imagem = rtiLast_RTRootProtocol + 1 };

	protected:
		enum { rtiLast_P_VBAD = rti_Captar_Imagem };

	public:
		inline RTInSignal Captar_Imagem( void );
		static const RTProtocolDescriptor rt_class;

	private:
		static const RTSignalDescriptor rt_signals[];
	};
};

inline P_VBAD::Base::Base( void )
	: RTRootProtocol()
{
}

inline P_VBAD::Base::~Base( void )
{
}

inline RTOutSignal P_VBAD::Base::Captar_Imagem( void )
{
	return RTOutSignal( this, Conjugate::rti_Captar_Imagem, (const void *)0, &RTType_void );
}

inline P_VBAD::Conjugate::Conjugate( void )
	: RTRootProtocol()
{
}

inline P_VBAD::Conjugate::~Conjugate( void )
{
}

inline RTInSignal P_VBAD::Conjugate::Captar_Imagem( void )
{
	return RTInSignal( this, rti_Captar_Imagem );
}

#endif /* P_VBAD_H */

// }}}RME
