// {{{RME classifier 'Logical View::RQARTClasses::CPP::V6_4_100_0::RQARTAbstractTestBase'

#ifndef RQARTAbstractTestBase_H
#define RQARTAbstractTestBase_H

#ifdef PRAGMA
#pragma interface "RQARTAbstractTestBase.h"
#endif

#include <RTSystem/VVIG.h>
#include <RQARTExceptionCode.h>
class RQARTIncarnateArguments;

// {{{RME tool 'OT::Cpp' property 'HeaderPreface'
// {{{USR

// }}}USR
// }}}RME

extern const RTActorClass RQARTAbstractTestBase;

#define SUPER RTActor
class RQARTAbstractTestBase_Actor : public RTActor
{
public:
	// {{{RME tool 'OT::Cpp' property 'PublicDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

protected:
	// {{{RME tool 'OT::Cpp' property 'ProtectedDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

private:
	// {{{RME tool 'OT::Cpp' property 'PrivateDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

protected:
	// {{{RME port 'RQART_Exception'
	Exception::Base RQART_Exception;
	// }}}RME
	// {{{RME port 'RQART_Frame'
	Frame::Base RQART_Frame;
	// }}}RME
	// {{{RME port 'RQART_Log'
	Log::Base RQART_Log;
	// }}}RME

public:
	RQARTAbstractTestBase_Actor( RTController * rtg_rts, RTActorRef * rtg_ref );
	virtual ~RQARTAbstractTestBase_Actor( void );

protected:
	// {{{RME operation 'CreateCapsuleRole(RTActorRef &,const RQARTIncarnateArguments *)'
	virtual bool CreateCapsuleRole( RTActorRef & capsuleRole, const RQARTIncarnateArguments * args );
	// }}}RME
	// {{{RME operation 'DestroyCapsuleRole(RTActorRef &,int)'
	virtual bool DestroyCapsuleRole( RTActorRef & capsuleRole, int cardinalityIndex = -1 );
	// }}}RME

public:
	virtual void rtsBehavior( int signalIndex, int portIndex );
	virtual const RTActor_class * getActorData( void ) const;

protected:
	static const RTActor_class rtg_class;

public:
	static const RTStateId rtg_parent_state[];

private:
	static const RTPortDescriptor rtg_ports[];
};
#undef SUPER

// {{{RME tool 'OT::Cpp' property 'HeaderEnding'
// {{{USR

// }}}USR
// }}}RME

#endif /* RQARTAbstractTestBase_H */

// }}}RME
