// {{{RME classifier 'Logical View::RQART_TestRun_VVIG::RQARTcap_VVIGimage_DeviceW'

#ifndef RQARTcap_VVIGimage_DeviceW_H
#define RQARTcap_VVIGimage_DeviceW_H

#ifdef PRAGMA
#pragma interface "RQARTcap_VVIGimage_DeviceW.h"
#endif

#include <RTSystem/VVIG.h>
#include <RQARTcap_VVIGimage_DeviceWS.h>

// {{{RME tool 'OT::Cpp' property 'HeaderPreface'
// {{{USR

// }}}USR
// }}}RME

extern const RTActorClass RQARTcap_VVIGimage_DeviceW;

#define SUPER RQARTcap_VVIGimage_DeviceWS_Actor
class RQARTcap_VVIGimage_DeviceW_Actor : public RQARTcap_VVIGimage_DeviceWS_Actor
{
public:
	// {{{RME tool 'OT::Cpp' property 'PublicDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

protected:
	// {{{RME tool 'OT::Cpp' property 'ProtectedDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

private:
	// {{{RME tool 'OT::Cpp' property 'PrivateDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

public:
	RQARTcap_VVIGimage_DeviceW_Actor( RTController * rtg_rts, RTActorRef * rtg_ref );
	virtual ~RQARTcap_VVIGimage_DeviceW_Actor( void );
	virtual int _followInV( RTBindingEnd & rtg_end, int rtg_portId, int rtg_repIndex );

protected:
	// {{{RME transition ':TOP:WaitingToStart:J4367A9A0031C:Test1_0' guard '1'
	INLINE_METHODS int guard9_Test1_0_event1( const RQARTStartTestNData * rtdata, RQARTStructureProtocol::Conjugate * rtport );
	// }}}RME
	// {{{RME transition ':TOP:Test1_0:J4367A9A0032C:StartTest'
	INLINE_METHODS void transition11_StartTest( const RQARTStartTestNData * rtdata, RQARTStructureProtocol::Conjugate * rtport );
	// }}}RME
	// {{{RME transition ':TOP:Test1_0:S1:J4367A9A0037A:take_photo'
	INLINE_METHODS void transition12_take_photo( const void * rtdata, Image_Device_Protocol::Conjugate * rtport );
	// }}}RME

private:
	INLINE_CHAINS void chain2_Initial( void );
	INLINE_CHAINS void chain1_errorException( void );
	INLINE_CHAINS void chain7_ignoreStartTestN( void );
	INLINE_CHAINS void chain3_minRunTimeCompleted( void );
	INLINE_CHAINS void chain8_ignoreMessages( void );
	INLINE_CHAINS void chain9_Test1_0( void );
	INLINE_CHAINS void chain5_minRunTimeCompleted( void );
	INLINE_CHAINS void chain12_take_photo( void );
	INLINE_CHAINS void chain6_True( void );
	INLINE_CHAINS void chain4_False( void );

public:
	virtual void rtsBehavior( int signalIndex, int portIndex );
	virtual const RTActor_class * getActorData( void ) const;

protected:
	static const RTActor_class rtg_class;

public:
	static const RTStateId rtg_parent_state[];

private:
	static const RTPortDescriptor rtg_ports[];
};
#undef SUPER

// {{{RME tool 'OT::Cpp' property 'HeaderEnding'
// {{{USR

// }}}USR
// }}}RME

#endif /* RQARTcap_VVIGimage_DeviceW_H */

// }}}RME
