// {{{RME classifier 'Logical View::cap_ECRM_ECOM'

#if defined( PRAGMA ) && ! defined( PRAGMA_IMPLEMENTED )
#pragma implementation "cap_ECRM_ECOM.h"
#endif

#include <RTSystem/VCNS.h>
#include <cap_ECRM_ECOM.h>

// {{{RME tool 'OT::Cpp' property 'ImplementationPreface'
// {{{USR

// }}}USR
// }}}RME

static const RTRelayDescriptor rtg_relays[] =
{
	{
		"ECRM"
	  , &P_ECRM::Conjugate::rt_class
	  , 1 // cardinality
	}
};

static RTActor * new_cap_ECRM_ECOM_Actor( RTController * _rts, RTActorRef * _ref )
{
	return new cap_ECRM_ECOM_Actor( _rts, _ref );
}

const RTActorClass cap_ECRM_ECOM =
{
	(const RTActorClass *)0
  , "cap_ECRM_ECOM"
  , (RTVersionId)0
  , 1
  , rtg_relays
  , new_cap_ECRM_ECOM_Actor
};

static const char * const rtg_state_names[] =
{
	"TOP"
};

#define SUPER RTActor

cap_ECRM_ECOM_Actor::cap_ECRM_ECOM_Actor( RTController * rtg_rts, RTActorRef * rtg_ref )
	: RTActor( rtg_rts, rtg_ref )
{
}

cap_ECRM_ECOM_Actor::~cap_ECRM_ECOM_Actor( void )
{
}

// {{{RME operation 'Enviar_Dados_Voo()'
void cap_ECRM_ECOM_Actor::Enviar_Dados_Voo( void )
{
	// {{{USR

	// }}}USR
}
// }}}RME

// {{{RME operation 'Obter_Dados_Configuracao_Voo()'
void cap_ECRM_ECOM_Actor::Obter_Dados_Configuracao_Voo( void )
{
	// {{{USR

	// }}}USR
}
// }}}RME

int cap_ECRM_ECOM_Actor::_followInV( RTBindingEnd & rtg_end, int rtg_portId, int rtg_repIndex )
{
	switch( rtg_portId )
	{
	case 0:
		// ECRM
		if( rtg_repIndex < 1 )
		{
			rtg_end.port = &ECRM;
			rtg_end.index = rtg_repIndex;
			return 1;
		}
		break;
	default:
		break;
	}
	return RTActor::_followInV( rtg_end, rtg_portId, rtg_repIndex );
}

void cap_ECRM_ECOM_Actor::rtsBehavior( int signalIndex, int portIndex )
{
	for( int stateIndex = getCurrentState(); ; )
		switch( stateIndex )
		{
		case 1:
			// {{{RME state ':TOP'
			switch( portIndex )
			{
			case 0:
				switch( signalIndex )
				{
				case 1:
					return;
				default:
					break;
				}
				break;
			default:
				break;
			}
			unexpectedMessage();
			return;
			// }}}RME
		default:
			unexpectedState();
			return;
		}
}

const RTActor_class * cap_ECRM_ECOM_Actor::getActorData( void ) const
{
	return &cap_ECRM_ECOM_Actor::rtg_class;
}

const RTActor_class cap_ECRM_ECOM_Actor::rtg_class =
{
	(const RTActor_class *)0
  , rtg_state_names
  , 1
  , cap_ECRM_ECOM_Actor::rtg_parent_state
  , &cap_ECRM_ECOM
  , 0
  , (const RTComponentDescriptor *)0
  , 1
  , cap_ECRM_ECOM_Actor::rtg_ports
  , 0
  , (const RTLocalBindingDescriptor *)0
  , 0
  , (const RTFieldDescriptor *)0
};

const RTStateId cap_ECRM_ECOM_Actor::rtg_parent_state[] =
{
	0
};

const RTPortDescriptor cap_ECRM_ECOM_Actor::rtg_ports[] =
{
	{
		"ECRM"
	  , (const char *)0
	  , &P_ECRM::Conjugate::rt_class
	  , RTOffsetOf( cap_ECRM_ECOM_Actor, cap_ECRM_ECOM_Actor::ECRM )
	  , 1 // cardinality
	  , 1
	  , RTPortDescriptor::KindWired + RTPortDescriptor::NotificationDisabled + RTPortDescriptor::RegisterNotPermitted + RTPortDescriptor::VisibilityPublic
	}
};

#undef SUPER

// {{{RME tool 'OT::Cpp' property 'ImplementationEnding'
// {{{USR

// }}}USR
// }}}RME

// }}}RME
