// {{{RME classifier 'Logical View::cap_ECRM_ECOM'

#ifndef cap_ECRM_ECOM_H
#define cap_ECRM_ECOM_H

#ifdef PRAGMA
#pragma interface "cap_ECRM_ECOM.h"
#endif

#include <RTSystem/VCNS.h>
#include <P_ECRM.h>

// {{{RME tool 'OT::Cpp' property 'HeaderPreface'
// {{{USR

// }}}USR
// }}}RME

extern const RTActorClass cap_ECRM_ECOM;

#define SUPER RTActor
class cap_ECRM_ECOM_Actor : public RTActor
{
public:
	// {{{RME tool 'OT::Cpp' property 'PublicDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

protected:
	// {{{RME tool 'OT::Cpp' property 'ProtectedDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

private:
	// {{{RME tool 'OT::Cpp' property 'PrivateDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

protected:
	// {{{RME port 'ECRM'
	P_ECRM::Conjugate ECRM;
	// }}}RME

public:
	cap_ECRM_ECOM_Actor( RTController * rtg_rts, RTActorRef * rtg_ref );
	virtual ~cap_ECRM_ECOM_Actor( void );
	// {{{RME operation 'Enviar_Dados_Voo()'
	void Enviar_Dados_Voo( void );
	// }}}RME
	// {{{RME operation 'Obter_Dados_Configuracao_Voo()'
	void Obter_Dados_Configuracao_Voo( void );
	// }}}RME
	virtual int _followInV( RTBindingEnd & rtg_end, int rtg_portId, int rtg_repIndex );
	virtual void rtsBehavior( int signalIndex, int portIndex );
	virtual const RTActor_class * getActorData( void ) const;

protected:
	static const RTActor_class rtg_class;

public:
	static const RTStateId rtg_parent_state[];

private:
	static const RTPortDescriptor rtg_ports[];
};
#undef SUPER

// {{{RME tool 'OT::Cpp' property 'HeaderEnding'
// {{{USR

// }}}USR
// }}}RME

#endif /* cap_ECRM_ECOM_H */

// }}}RME
