// {{{RME classifier 'Logical View::cap_VBAD'

#if defined( PRAGMA ) && ! defined( PRAGMA_IMPLEMENTED )
#pragma implementation "cap_VBAD.h"
#endif

#include <RTSystem/VCNS.h>
#include <cap_VBAD.h>

// {{{RME tool 'OT::Cpp' property 'ImplementationPreface'
// {{{USR

// }}}USR
// }}}RME

static const RTRelayDescriptor rtg_relays[] =
{
	{
		"VCOM"
	  , &P_VBAD::Conjugate::rt_class
	  , 1 // cardinality
	}
  , {
		"VNAV"
	  , &P_VBAD::Conjugate::rt_class
	  , 1 // cardinality
	}
  , {
		"VVIG"
	  , &P_VBAD::Conjugate::rt_class
	  , 1 // cardinality
	}
};

static RTActor * new_cap_VBAD_Actor( RTController * _rts, RTActorRef * _ref )
{
	return new cap_VBAD_Actor( _rts, _ref );
}

const RTActorClass cap_VBAD =
{
	(const RTActorClass *)0
  , "cap_VBAD"
  , (RTVersionId)0
  , 3
  , rtg_relays
  , new_cap_VBAD_Actor
};

static const char * const rtg_state_names[] =
{
	"TOP"
};

#define SUPER RTActor

cap_VBAD_Actor::cap_VBAD_Actor( RTController * rtg_rts, RTActorRef * rtg_ref )
	: RTActor( rtg_rts, rtg_ref )
{
}

cap_VBAD_Actor::~cap_VBAD_Actor( void )
{
}

// {{{RME operation 'Enviar_Dados_Configuracao()'
void cap_VBAD_Actor::Enviar_Dados_Configuracao( void )
{
	// {{{USR

	// }}}USR
}
// }}}RME

// {{{RME operation 'Obter_Dados_de_Voo()'
void cap_VBAD_Actor::Obter_Dados_de_Voo( void )
{
	// {{{USR

	// }}}USR
}
// }}}RME

// {{{RME operation 'Enviar_Imagem_Classifcada()'
void cap_VBAD_Actor::Enviar_Imagem_Classifcada( void )
{
	// {{{USR

	// }}}USR
}
// }}}RME

// {{{RME operation 'Enviar_trajetoria_planejada()'
void cap_VBAD_Actor::Enviar_trajetoria_planejada( void )
{
	// {{{USR

	// }}}USR
}
// }}}RME

// {{{RME operation 'Obter_dados_de_configuracao_de_Voo()'
void cap_VBAD_Actor::Obter_dados_de_configuracao_de_Voo( void )
{
	// {{{USR

	// }}}USR
}
// }}}RME

int cap_VBAD_Actor::_followInV( RTBindingEnd & rtg_end, int rtg_portId, int rtg_repIndex )
{
	switch( rtg_portId )
	{
	case 0:
		// VCOM
		if( rtg_repIndex < 1 )
		{
			rtg_end.port = &VCOM;
			rtg_end.index = rtg_repIndex;
			return 1;
		}
		break;
	case 1:
		// VNAV
		if( rtg_repIndex < 1 )
		{
			rtg_end.port = &VNAV;
			rtg_end.index = rtg_repIndex;
			return 1;
		}
		break;
	case 2:
		// VVIG
		if( rtg_repIndex < 1 )
		{
			rtg_end.port = &VVIG;
			rtg_end.index = rtg_repIndex;
			return 1;
		}
		break;
	default:
		break;
	}
	return RTActor::_followInV( rtg_end, rtg_portId, rtg_repIndex );
}

void cap_VBAD_Actor::rtsBehavior( int signalIndex, int portIndex )
{
	for( int stateIndex = getCurrentState(); ; )
		switch( stateIndex )
		{
		case 1:
			// {{{RME state ':TOP'
			switch( portIndex )
			{
			case 0:
				switch( signalIndex )
				{
				case 1:
					return;
				default:
					break;
				}
				break;
			default:
				break;
			}
			unexpectedMessage();
			return;
			// }}}RME
		default:
			unexpectedState();
			return;
		}
}

const RTActor_class * cap_VBAD_Actor::getActorData( void ) const
{
	return &cap_VBAD_Actor::rtg_class;
}

const RTActor_class cap_VBAD_Actor::rtg_class =
{
	(const RTActor_class *)0
  , rtg_state_names
  , 1
  , cap_VBAD_Actor::rtg_parent_state
  , &cap_VBAD
  , 0
  , (const RTComponentDescriptor *)0
  , 3
  , cap_VBAD_Actor::rtg_ports
  , 0
  , (const RTLocalBindingDescriptor *)0
  , 0
  , (const RTFieldDescriptor *)0
};

const RTStateId cap_VBAD_Actor::rtg_parent_state[] =
{
	0
};

const RTPortDescriptor cap_VBAD_Actor::rtg_ports[] =
{
	{
		"VCOM"
	  , (const char *)0
	  , &P_VBAD::Conjugate::rt_class
	  , RTOffsetOf( cap_VBAD_Actor, cap_VBAD_Actor::VCOM )
	  , 1 // cardinality
	  , 1
	  , RTPortDescriptor::KindWired + RTPortDescriptor::NotificationDisabled + RTPortDescriptor::RegisterNotPermitted + RTPortDescriptor::VisibilityPublic
	}
  , {
		"VNAV"
	  , (const char *)0
	  , &P_VBAD::Conjugate::rt_class
	  , RTOffsetOf( cap_VBAD_Actor, cap_VBAD_Actor::VNAV )
	  , 1 // cardinality
	  , 2
	  , RTPortDescriptor::KindWired + RTPortDescriptor::NotificationDisabled + RTPortDescriptor::RegisterNotPermitted + RTPortDescriptor::VisibilityPublic
	}
  , {
		"VVIG"
	  , (const char *)0
	  , &P_VBAD::Conjugate::rt_class
	  , RTOffsetOf( cap_VBAD_Actor, cap_VBAD_Actor::VVIG )
	  , 1 // cardinality
	  , 3
	  , RTPortDescriptor::KindWired + RTPortDescriptor::NotificationDisabled + RTPortDescriptor::RegisterNotPermitted + RTPortDescriptor::VisibilityPublic
	}
};

#undef SUPER

// {{{RME tool 'OT::Cpp' property 'ImplementationEnding'
// {{{USR

// }}}USR
// }}}RME

// }}}RME
