// {{{RME classifier 'Logical View::cap_VBAD'

#ifndef cap_VBAD_H
#define cap_VBAD_H

#ifdef PRAGMA
#pragma interface "cap_VBAD.h"
#endif

#include <RTSystem/VCNS.h>
#include <P_VBAD.h>

// {{{RME tool 'OT::Cpp' property 'HeaderPreface'
// {{{USR

// }}}USR
// }}}RME

extern const RTActorClass cap_VBAD;

#define SUPER RTActor
class cap_VBAD_Actor : public RTActor
{
public:
	// {{{RME tool 'OT::Cpp' property 'PublicDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

protected:
	// {{{RME tool 'OT::Cpp' property 'ProtectedDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

private:
	// {{{RME tool 'OT::Cpp' property 'PrivateDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

protected:
	// {{{RME port 'VCOM'
	P_VBAD::Conjugate VCOM;
	// }}}RME
	// {{{RME port 'VNAV'
	P_VBAD::Conjugate VNAV;
	// }}}RME
	// {{{RME port 'VVIG'
	P_VBAD::Conjugate VVIG;
	// }}}RME

public:
	cap_VBAD_Actor( RTController * rtg_rts, RTActorRef * rtg_ref );
	virtual ~cap_VBAD_Actor( void );
	// {{{RME operation 'Enviar_Dados_Configuracao()'
	void Enviar_Dados_Configuracao( void );
	// }}}RME
	// {{{RME operation 'Obter_Dados_de_Voo()'
	void Obter_Dados_de_Voo( void );
	// }}}RME
	// {{{RME operation 'Enviar_Imagem_Classifcada()'
	void Enviar_Imagem_Classifcada( void );
	// }}}RME
	// {{{RME operation 'Enviar_trajetoria_planejada()'
	void Enviar_trajetoria_planejada( void );
	// }}}RME
	// {{{RME operation 'Obter_dados_de_configuracao_de_Voo()'
	void Obter_dados_de_configuracao_de_Voo( void );
	// }}}RME
	virtual int _followInV( RTBindingEnd & rtg_end, int rtg_portId, int rtg_repIndex );
	virtual void rtsBehavior( int signalIndex, int portIndex );
	virtual const RTActor_class * getActorData( void ) const;

protected:
	static const RTActor_class rtg_class;

public:
	static const RTStateId rtg_parent_state[];

private:
	static const RTPortDescriptor rtg_ports[];
};
#undef SUPER

// {{{RME tool 'OT::Cpp' property 'HeaderEnding'
// {{{USR

// }}}USR
// }}}RME

#endif /* cap_VBAD_H */

// }}}RME
