// {{{RME classifier 'Logical View::cap_VCOM'

#if defined( PRAGMA ) && ! defined( PRAGMA_IMPLEMENTED )
#pragma implementation "cap_VCOM.h"
#endif

#include <RTSystem/VCNS.h>
#include <cap_VCOM.h>
extern const RTActorClass cap_ECRM_ECOM;
extern const RTActorClass cap_SUII_VCOMSAT;
extern const RTActorClass cap_VBAD;

// {{{RME tool 'OT::Cpp' property 'ImplementationPreface'
// {{{USR

// }}}USR
// }}}RME

static const RTRelayDescriptor rtg_relays[] =
{
	{
		"VCOM_VBAD"
	  , &P_VBAD::Base::rt_class
	  , 1 // cardinality
	}
  , {
		"VCOM_ECRM"
	  , &P_ECRM::Base::rt_class
	  , 1 // cardinality
	}
  , {
		"VCOM_SUII"
	  , &P_SUII::Base::rt_class
	  , 1 // cardinality
	}
};

static RTActor * new_cap_VCOM_Actor( RTController * _rts, RTActorRef * _ref )
{
	return new cap_VCOM_Actor( _rts, _ref );
}

const RTActorClass cap_VCOM =
{
	(const RTActorClass *)0
  , "cap_VCOM"
  , (RTVersionId)0
  , 3
  , rtg_relays
  , new_cap_VCOM_Actor
};

static const char * const rtg_state_names[] =
{
	"TOP"
  , "Esperando_Recebimento_Dados"
  , "Dado_Configuracao_Obtido"
  , "Dado_Voo_Obtido"
  , "Origem_Dado"
};

static const RTInterfaceDescriptor rtg_interfaces_cap_VBADR1[] =
{
	{
		"VCOM"
	  , 0
	}
  , {
		"VNAV"
	  , 0
	}
  , {
		"VVIG"
	  , 0
	}
};

static const RTInterfaceDescriptor rtg_interfaces_cap_SUII_VCOMSATR1[] =
{
	{
		"SUII"
	  , 0
	}
};

static const RTInterfaceDescriptor rtg_interfaces_cap_ECRM_ECOMR1[] =
{
	{
		"ECRM"
	  , 0
	}
};

#define SUPER RTActor

cap_VCOM_Actor::cap_VCOM_Actor( RTController * rtg_rts, RTActorRef * rtg_ref )
	: RTActor( rtg_rts, rtg_ref )
{
}

cap_VCOM_Actor::~cap_VCOM_Actor( void )
{
}

// {{{RME operation 'Enviar_dados_do_voo()'
void cap_VCOM_Actor::Enviar_dados_do_voo( void )
{
	// {{{USR

	// }}}USR
}
// }}}RME

// {{{RME operation 'Obter_Dados_Configuracao_de_Voo()'
void cap_VCOM_Actor::Obter_Dados_Configuracao_de_Voo( void )
{
	// {{{USR

	// }}}USR
}
// }}}RME

// {{{RME operation 'Enviar_Dados_de_Configuracao()'
void cap_VCOM_Actor::Enviar_Dados_de_Configuracao( void )
{
	// {{{USR

	// }}}USR
}
// }}}RME

// {{{RME operation 'Obter_Dados_de_Voo()'
void cap_VCOM_Actor::Obter_Dados_de_Voo( void )
{
	// {{{USR

	// }}}USR
}
// }}}RME

// {{{RME operation 'Obter_Dados_Solicitacao()'
void cap_VCOM_Actor::Obter_Dados_Solicitacao( void )
{
	// {{{USR

	// }}}USR
}
// }}}RME

// {{{RME operation 'Enviar_Dados_Solicitacao()'
void cap_VCOM_Actor::Enviar_Dados_Solicitacao( void )
{
	// {{{USR

	// }}}USR
}
// }}}RME

int cap_VCOM_Actor::_followInV( RTBindingEnd & rtg_end, int rtg_portId, int rtg_repIndex )
{
	switch( rtg_portId )
	{
	case 0:
		// VCOM_VBAD
		if( rtg_repIndex < 1 )
		{
			rtg_end.port = &VCOM_VBAD;
			rtg_end.index = rtg_repIndex;
			return 1;
		}
		break;
	case 1:
		// VCOM_ECRM
		if( rtg_repIndex < 1 )
		{
			rtg_end.port = &VCOM_ECRM;
			rtg_end.index = rtg_repIndex;
			return 1;
		}
		break;
	case 2:
		// VCOM_SUII
		if( rtg_repIndex < 1 )
		{
			rtg_end.port = &VCOM_SUII;
			rtg_end.index = rtg_repIndex;
			return 1;
		}
		break;
	default:
		break;
	}
	return RTActor::_followInV( rtg_end, rtg_portId, rtg_repIndex );
}

INLINE_CHAINS void cap_VCOM_Actor::chain6_Initial( void )
{
	// transition ':TOP:Initial:Initial'
	rtgChainBegin( 1, "Initial" );
	rtgTransitionBegin();
	rtgTransitionEnd();
	enterState( 2 );
}

void cap_VCOM_Actor::rtsBehavior( int signalIndex, int portIndex )
{
	for( int stateIndex = getCurrentState(); ; stateIndex = rtg_parent_state[ stateIndex - 1 ] )
		switch( stateIndex )
		{
		case 1:
			// {{{RME state ':TOP'
			switch( portIndex )
			{
			case 0:
				switch( signalIndex )
				{
				case 1:
					chain6_Initial();
					return;
				default:
					break;
				}
				break;
			default:
				break;
			}
			unexpectedMessage();
			return;
			// }}}RME
		case 2:
			// {{{RME state ':TOP:Esperando_Recebimento_Dados'
			switch( portIndex )
			{
			case 0:
				switch( signalIndex )
				{
				case 1:
					return;
				default:
					break;
				}
				break;
			default:
				break;
			}
			break;
			// }}}RME
		case 3:
			// {{{RME state ':TOP:Dado_Configuracao_Obtido'
			switch( portIndex )
			{
			case 0:
				switch( signalIndex )
				{
				case 1:
					return;
				default:
					break;
				}
				break;
			default:
				break;
			}
			break;
			// }}}RME
		case 4:
			// {{{RME state ':TOP:Dado_Voo_Obtido'
			switch( portIndex )
			{
			case 0:
				switch( signalIndex )
				{
				case 1:
					return;
				default:
					break;
				}
				break;
			default:
				break;
			}
			break;
			// }}}RME
		default:
			unexpectedState();
			return;
		}
}

const RTActor_class * cap_VCOM_Actor::getActorData( void ) const
{
	return &cap_VCOM_Actor::rtg_class;
}

const RTActor_class cap_VCOM_Actor::rtg_class =
{
	(const RTActor_class *)0
  , rtg_state_names
  , 4
  , cap_VCOM_Actor::rtg_parent_state
  , &cap_VCOM
  , 3
  , cap_VCOM_Actor::rtg_capsule_roles
  , 3
  , cap_VCOM_Actor::rtg_ports
  , 0
  , (const RTLocalBindingDescriptor *)0
  , 0
  , (const RTFieldDescriptor *)0
};

const RTStateId cap_VCOM_Actor::rtg_parent_state[] =
{
	0
  , 1
  , 1
  , 1
};

const RTComponentDescriptor cap_VCOM_Actor::rtg_capsule_roles[] =
{
	{
		"cap_VBADR1"
	  , &cap_VBAD
	  , RTOffsetOf( cap_VCOM_Actor, cap_VBADR1 )
	  , 1
	  , RTComponentDescriptor::Fixed
	  , 1
	  , 1 // cardinality
	  , 3
	  , rtg_interfaces_cap_VBADR1
	  , 0
	  , (const RTBindingDescriptor *)0
	}
  , {
		"cap_SUII_VCOMSATR1"
	  , &cap_SUII_VCOMSAT
	  , RTOffsetOf( cap_VCOM_Actor, cap_SUII_VCOMSATR1 )
	  , 2
	  , RTComponentDescriptor::Fixed
	  , 1
	  , 1 // cardinality
	  , 1
	  , rtg_interfaces_cap_SUII_VCOMSATR1
	  , 0
	  , (const RTBindingDescriptor *)0
	}
  , {
		"cap_ECRM_ECOMR1"
	  , &cap_ECRM_ECOM
	  , RTOffsetOf( cap_VCOM_Actor, cap_ECRM_ECOMR1 )
	  , 3
	  , RTComponentDescriptor::Fixed
	  , 1
	  , 1 // cardinality
	  , 1
	  , rtg_interfaces_cap_ECRM_ECOMR1
	  , 0
	  , (const RTBindingDescriptor *)0
	}
};

const RTPortDescriptor cap_VCOM_Actor::rtg_ports[] =
{
	{
		"VCOM_VBAD"
	  , (const char *)0
	  , &P_VBAD::Base::rt_class
	  , RTOffsetOf( cap_VCOM_Actor, cap_VCOM_Actor::VCOM_VBAD )
	  , 1 // cardinality
	  , 1
	  , RTPortDescriptor::KindWired + RTPortDescriptor::NotificationDisabled + RTPortDescriptor::RegisterNotPermitted + RTPortDescriptor::VisibilityPublic
	}
  , {
		"VCOM_ECRM"
	  , (const char *)0
	  , &P_ECRM::Base::rt_class
	  , RTOffsetOf( cap_VCOM_Actor, cap_VCOM_Actor::VCOM_ECRM )
	  , 1 // cardinality
	  , 2
	  , RTPortDescriptor::KindWired + RTPortDescriptor::NotificationDisabled + RTPortDescriptor::RegisterNotPermitted + RTPortDescriptor::VisibilityPublic
	}
  , {
		"VCOM_SUII"
	  , (const char *)0
	  , &P_SUII::Base::rt_class
	  , RTOffsetOf( cap_VCOM_Actor, cap_VCOM_Actor::VCOM_SUII )
	  , 1 // cardinality
	  , 3
	  , RTPortDescriptor::KindWired + RTPortDescriptor::NotificationDisabled + RTPortDescriptor::RegisterNotPermitted + RTPortDescriptor::VisibilityPublic
	}
};

#undef SUPER

// {{{RME tool 'OT::Cpp' property 'ImplementationEnding'
// {{{USR

// }}}USR
// }}}RME

// }}}RME
