// {{{RME classifier 'Logical View::cap_VNAV'

#ifndef cap_VNAV_H
#define cap_VNAV_H

#ifdef PRAGMA
#pragma interface "cap_VNAV.h"
#endif

#include <RTSystem/VCNS.h>
#include <P_VBAD.h>

// {{{RME tool 'OT::Cpp' property 'HeaderPreface'
// {{{USR

// }}}USR
// }}}RME

extern const RTActorClass cap_VNAV;

#define SUPER RTActor
class cap_VNAV_Actor : public RTActor
{
public:
	// {{{RME tool 'OT::Cpp' property 'PublicDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

protected:
	// {{{RME tool 'OT::Cpp' property 'ProtectedDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

private:
	// {{{RME tool 'OT::Cpp' property 'PrivateDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

protected:
	// {{{RME capsuleRole 'vBADR1'
	RTActorRef vBADR1;
	// }}}RME
	// {{{RME capsuleRole 'cap_VBADR1'
	RTActorRef cap_VBADR1;
	// }}}RME
	// {{{RME port 'VNAV_VBAD'
	P_VBAD::Base VNAV_VBAD;
	// }}}RME

public:
	cap_VNAV_Actor( RTController * rtg_rts, RTActorRef * rtg_ref );
	virtual ~cap_VNAV_Actor( void );

protected:
	// {{{RME operation 'Obter_dados_de_configuracao_de_Voo()'
	static void Obter_dados_de_configuracao_de_Voo( void );
	// }}}RME
	// {{{RME operation 'Planejar_Trajetoria_para_Navegacao()'
	static void Planejar_Trajetoria_para_Navegacao( void );
	// }}}RME

public:
	// {{{RME operation 'Enviar_trajetoria_planejada()'
	void Enviar_trajetoria_planejada( void );
	// }}}RME
	// {{{RME operation 'Obter_Solicitacao_Planejamento_Trajetoria()'
	void Obter_Solicitacao_Planejamento_Trajetoria( void );
	// }}}RME
	virtual int _followInV( RTBindingEnd & rtg_end, int rtg_portId, int rtg_repIndex );

private:
	INLINE_CHAINS void chain4_Initial( void );

public:
	virtual void rtsBehavior( int signalIndex, int portIndex );
	virtual const RTActor_class * getActorData( void ) const;

protected:
	static const RTActor_class rtg_class;

public:
	static const RTStateId rtg_parent_state[];

private:
	static const RTComponentDescriptor rtg_capsule_roles[];
	static const RTPortDescriptor rtg_ports[];
};
#undef SUPER

// {{{RME tool 'OT::Cpp' property 'HeaderEnding'
// {{{USR

// }}}USR
// }}}RME

#endif /* cap_VNAV_H */

// }}}RME
