// {{{RME classifier 'Logical View::cap_VVIG'

#if defined( PRAGMA ) && ! defined( PRAGMA_IMPLEMENTED )
#pragma implementation "cap_VVIG.h"
#endif

#include <RTSystem/VCNS.h>
#include <cap_VVIG.h>
extern const RTActorClass cap_VBAD;
extern const RTActorClass cap_VNAV;

// {{{RME tool 'OT::Cpp' property 'ImplementationPreface'
// {{{USR

// }}}USR
// }}}RME

static const RTRelayDescriptor rtg_relays[] =
{
	{
		"VVIG_VBAD"
	  , &P_VBAD::Base::rt_class
	  , 1 // cardinality
	}
};

static RTActor * new_cap_VVIG_Actor( RTController * _rts, RTActorRef * _ref )
{
	return new cap_VVIG_Actor( _rts, _ref );
}

const RTActorClass cap_VVIG =
{
	(const RTActorClass *)0
  , "cap_VVIG"
  , (RTVersionId)0
  , 1
  , rtg_relays
  , new_cap_VVIG_Actor
};

static const char * const rtg_state_names[] =
{
	"TOP"
  , "Captar_Imagem"
  , "Processar_Imagem"
  , "Classificar_Imagem"
  , "Enviar_Classificacao"
  , "CP1"
  , "CP2"
};

static const RTInterfaceDescriptor rtg_interfaces_cap_VNAVR1[] =
{
	{
		"VNAV_VBAD"
	  , 0
	}
};

static const RTInterfaceDescriptor rtg_interfaces_cap_VBADR1[] =
{
	{
		"VCOM"
	  , 0
	}
  , {
		"VNAV"
	  , 0
	}
  , {
		"VVIG"
	  , 0
	}
};

#define SUPER RTActor

cap_VVIG_Actor::cap_VVIG_Actor( RTController * rtg_rts, RTActorRef * rtg_ref )
	: RTActor( rtg_rts, rtg_ref )
{
}

cap_VVIG_Actor::~cap_VVIG_Actor( void )
{
}

// {{{RME operation 'Registrar_Imagem()'
void cap_VVIG_Actor::Registrar_Imagem( void )
{
	// {{{USR

	// }}}USR
}
// }}}RME

// {{{RME operation 'Processar_Imagem()'
void cap_VVIG_Actor::Processar_Imagem( void )
{
	// {{{USR

	// }}}USR
}
// }}}RME

// {{{RME operation 'Classificar_Imagem()'
void cap_VVIG_Actor::Classificar_Imagem( void )
{
	// {{{USR

	// }}}USR
}
// }}}RME

// {{{RME operation 'Enviar_Imagem_Classificada()'
void cap_VVIG_Actor::Enviar_Imagem_Classificada( void )
{
	// {{{USR

	// }}}USR
}
// }}}RME

int cap_VVIG_Actor::_followInV( RTBindingEnd & rtg_end, int rtg_portId, int rtg_repIndex )
{
	switch( rtg_portId )
	{
	case 0:
		// VVIG_VBAD
		if( rtg_repIndex < 1 )
		{
			rtg_end.port = &VVIG_VBAD;
			rtg_end.index = rtg_repIndex;
			return 1;
		}
		break;
	default:
		break;
	}
	return RTActor::_followInV( rtg_end, rtg_portId, rtg_repIndex );
}

INLINE_CHAINS void cap_VVIG_Actor::chain1_Initial( void )
{
	// transition ':TOP:Initial:Initial'
	rtgChainBegin( 1, "Initial" );
	rtgTransitionBegin();
	rtgTransitionEnd();
	enterState( 2 );
}

void cap_VVIG_Actor::rtsBehavior( int signalIndex, int portIndex )
{
	for( int stateIndex = getCurrentState(); ; stateIndex = rtg_parent_state[ stateIndex - 1 ] )
		switch( stateIndex )
		{
		case 1:
			// {{{RME state ':TOP'
			switch( portIndex )
			{
			case 0:
				switch( signalIndex )
				{
				case 1:
					chain1_Initial();
					return;
				default:
					break;
				}
				break;
			default:
				break;
			}
			unexpectedMessage();
			return;
			// }}}RME
		case 2:
			// {{{RME state ':TOP:Captar_Imagem'
			switch( portIndex )
			{
			case 0:
				switch( signalIndex )
				{
				case 1:
					return;
				default:
					break;
				}
				break;
			default:
				break;
			}
			break;
			// }}}RME
		case 3:
			// {{{RME state ':TOP:Processar_Imagem'
			switch( portIndex )
			{
			case 0:
				switch( signalIndex )
				{
				case 1:
					return;
				default:
					break;
				}
				break;
			default:
				break;
			}
			break;
			// }}}RME
		case 4:
			// {{{RME state ':TOP:Classificar_Imagem'
			switch( portIndex )
			{
			case 0:
				switch( signalIndex )
				{
				case 1:
					return;
				default:
					break;
				}
				break;
			default:
				break;
			}
			break;
			// }}}RME
		case 5:
			// {{{RME state ':TOP:Enviar_Classificacao'
			switch( portIndex )
			{
			case 0:
				switch( signalIndex )
				{
				case 1:
					return;
				default:
					break;
				}
				break;
			default:
				break;
			}
			break;
			// }}}RME
		default:
			unexpectedState();
			return;
		}
}

const RTActor_class * cap_VVIG_Actor::getActorData( void ) const
{
	return &cap_VVIG_Actor::rtg_class;
}

const RTActor_class cap_VVIG_Actor::rtg_class =
{
	(const RTActor_class *)0
  , rtg_state_names
  , 5
  , cap_VVIG_Actor::rtg_parent_state
  , &cap_VVIG
  , 2
  , cap_VVIG_Actor::rtg_capsule_roles
  , 1
  , cap_VVIG_Actor::rtg_ports
  , 0
  , (const RTLocalBindingDescriptor *)0
  , 0
  , (const RTFieldDescriptor *)0
};

const RTStateId cap_VVIG_Actor::rtg_parent_state[] =
{
	0
  , 1
  , 1
  , 1
  , 1
};

const RTComponentDescriptor cap_VVIG_Actor::rtg_capsule_roles[] =
{
	{
		"cap_VNAVR1"
	  , &cap_VNAV
	  , RTOffsetOf( cap_VVIG_Actor, cap_VNAVR1 )
	  , 1
	  , RTComponentDescriptor::Fixed
	  , 1
	  , 1 // cardinality
	  , 1
	  , rtg_interfaces_cap_VNAVR1
	  , 0
	  , (const RTBindingDescriptor *)0
	}
  , {
		"cap_VBADR1"
	  , &cap_VBAD
	  , RTOffsetOf( cap_VVIG_Actor, cap_VBADR1 )
	  , 2
	  , RTComponentDescriptor::Fixed
	  , 1
	  , 1 // cardinality
	  , 3
	  , rtg_interfaces_cap_VBADR1
	  , 0
	  , (const RTBindingDescriptor *)0
	}
};

const RTPortDescriptor cap_VVIG_Actor::rtg_ports[] =
{
	{
		"VVIG_VBAD"
	  , (const char *)0
	  , &P_VBAD::Base::rt_class
	  , RTOffsetOf( cap_VVIG_Actor, cap_VVIG_Actor::VVIG_VBAD )
	  , 1 // cardinality
	  , 1
	  , RTPortDescriptor::KindWired + RTPortDescriptor::NotificationDisabled + RTPortDescriptor::RegisterNotPermitted + RTPortDescriptor::VisibilityPublic
	}
};

#undef SUPER

// {{{RME tool 'OT::Cpp' property 'ImplementationEnding'
// {{{USR

// }}}USR
// }}}RME

// }}}RME
