// {{{RME classifier 'Logical View::cap_VVIG'

#ifndef cap_VVIG_H
#define cap_VVIG_H

#ifdef PRAGMA
#pragma interface "cap_VVIG.h"
#endif

#include <RTSystem/VCNS.h>
#include <P_VBAD.h>

// {{{RME tool 'OT::Cpp' property 'HeaderPreface'
// {{{USR

// }}}USR
// }}}RME

extern const RTActorClass cap_VVIG;

#define SUPER RTActor
class cap_VVIG_Actor : public RTActor
{
public:
	// {{{RME tool 'OT::Cpp' property 'PublicDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

protected:
	// {{{RME tool 'OT::Cpp' property 'ProtectedDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

private:
	// {{{RME tool 'OT::Cpp' property 'PrivateDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

protected:
	// {{{RME capsuleRole 'cap_VNAVR1'
	RTActorRef cap_VNAVR1;
	// }}}RME
	// {{{RME capsuleRole 'cap_VBADR1'
	RTActorRef cap_VBADR1;
	// }}}RME
	// {{{RME port 'VVIG_VBAD'
	P_VBAD::Base VVIG_VBAD;
	// }}}RME

public:
	cap_VVIG_Actor( RTController * rtg_rts, RTActorRef * rtg_ref );
	virtual ~cap_VVIG_Actor( void );

protected:
	// {{{RME operation 'Registrar_Imagem()'
	static void Registrar_Imagem( void );
	// }}}RME
	// {{{RME operation 'Processar_Imagem()'
	static void Processar_Imagem( void );
	// }}}RME
	// {{{RME operation 'Classificar_Imagem()'
	static void Classificar_Imagem( void );
	// }}}RME

public:
	// {{{RME operation 'Enviar_Imagem_Classificada()'
	void Enviar_Imagem_Classificada( void );
	// }}}RME
	virtual int _followInV( RTBindingEnd & rtg_end, int rtg_portId, int rtg_repIndex );

private:
	INLINE_CHAINS void chain1_Initial( void );

public:
	virtual void rtsBehavior( int signalIndex, int portIndex );
	virtual const RTActor_class * getActorData( void ) const;

protected:
	static const RTActor_class rtg_class;

public:
	static const RTStateId rtg_parent_state[];

private:
	static const RTComponentDescriptor rtg_capsule_roles[];
	static const RTPortDescriptor rtg_ports[];
};
#undef SUPER

// {{{RME tool 'OT::Cpp' property 'HeaderEnding'
// {{{USR

// }}}USR
// }}}RME

#endif /* cap_VVIG_H */

// }}}RME
