// {{{RME classifier 'Logical View::rgb'

#if defined( PRAGMA ) && ! defined( PRAGMA_IMPLEMENTED )
#pragma implementation "rgb.h"
#endif

#include <RTSystem/VCNS.h>
#include <rgb.h>

// {{{RME tool 'OT::Cpp' property 'ImplementationPreface'
// {{{USR

// }}}USR
// }}}RME

static void rtg_rgb_init( const RTObject_class * type, rgb * target )
{
	(void)new( target ) rgb;
}

static void rtg_rgb_copy( const RTObject_class * type, rgb * target, const rgb * source )
{
	(void)new( target ) rgb( *source );
}

static void rtg_rgb_destroy( const RTObject_class * type, rgb * target )
{
	target->~rgb();
}

const RTObject_class RTType_rgb =
{
	(const RTObject_class *)0
  , (RTSuperAccessFunction)0
  , "rgb"
  , (RTVersionId)0
  , (RTFieldOffset)sizeof( rgb )
  , (RTInitFunction)rtg_rgb_init
  , (RTCopyFunction)rtg_rgb_copy
#if OBJECT_DECODE
  , RTstruct_decode
#endif
#if OBJECT_ENCODE
  , RTstruct_encode
#endif
  , (RTDestroyFunction)rtg_rgb_destroy
  , 0
  , (const RTFieldDescriptor *)0
};

// {{{RME tool 'OT::Cpp' property 'GenerateDefaultConstructor'
rgb::rgb( void )
{
}
// }}}RME

// {{{RME tool 'OT::Cpp' property 'GenerateDestructor'
rgb::~rgb( void )
{
}
// }}}RME

// {{{RME tool 'OT::Cpp' property 'GenerateCopyConstructor'
rgb::rgb( const rgb & rtg_arg )
{
}
// }}}RME

// {{{RME tool 'OT::Cpp' property 'GenerateAssignmentOperator'
rgb & rgb::operator=( const rgb & rtg_arg )
{
	if( this != &rtg_arg )
	{
	}
	return *this;
}
// }}}RME

#if OBJECT_DECODE
RTTypeInstaller rtg_rgb_installer( RTType_rgb );
#endif

// {{{RME tool 'OT::Cpp' property 'ImplementationEnding'
// {{{USR

// }}}USR
// }}}RME

// }}}RME
