// {{{RME classifier 'Logical View::RQARTClasses::CPP::V6_4_100_0::RQARTAddInProtocol'

#if defined( PRAGMA ) && ! defined( PRAGMA_IMPLEMENTED )
#pragma implementation "RQARTAddInProtocol.h"
#endif

#include <RTSystem/VVIG.h>
#include <RQARTAddInProtocol.h>

const RTProtocolDescriptor RQARTAddInProtocol::Base::rt_class =
{
	&RTRootProtocol::rt_class
  , &RQARTAddInProtocol::Conjugate::rt_class
  , "RQARTAddInProtocol"
  , 0
  , 7
  , RQARTAddInProtocol::Base::rt_signals
#if RTRUNTIMEBC
  , &RTProtocolDescriptor::getUnknownGlobalSignal, &RTProtocolDescriptor::getUnknownLocalSignal
#endif
};

const RTSignalDescriptor RQARTAddInProtocol::Base::rt_signals[] =
{
	{
		"CleanUpTest"
	  , &RTType_void
	  , RQARTAddInProtocol::Base::rti_CleanUpTest
	}
  , {
		"Reset"
	  , &RTType_void
	  , RQARTAddInProtocol::Base::rti_Reset
	}
  , {
		"SetMaxTime"
	  , &RTType_int
	  , RQARTAddInProtocol::Base::rti_SetMaxTime
	}
  , {
		"SetRQARTControllerVersion"
	  , &RTType_int
	  , RQARTAddInProtocol::Base::rti_SetRQARTControllerVersion
	}
  , {
		"StartTest"
	  , (const RTObject_class *)0
	  , RQARTAddInProtocol::Base::rti_StartTest
	}
  , {
		"rtBound"
	  , (const RTObject_class *)0
	  , RQARTAddInProtocol::Base::rti_rtBound
	}
  , {
		"rtUnbound"
	  , (const RTObject_class *)0
	  , RQARTAddInProtocol::Base::rti_rtUnbound
	}
};

const RTProtocolDescriptor RQARTAddInProtocol::Conjugate::rt_class =
{
	&RTRootProtocol::rt_class
  , &RQARTAddInProtocol::Base::rt_class
  , "RQARTAddInProtocol"
  , 0
  , 10
  , RQARTAddInProtocol::Conjugate::rt_signals
#if RTRUNTIMEBC
  , &RTProtocolDescriptor::getUnknownGlobalSignal, &RTProtocolDescriptor::getUnknownLocalSignal
#endif
};

const RTSignalDescriptor RQARTAddInProtocol::Conjugate::rt_signals[] =
{
	{
		"CompareFailure"
	  , &RTType_RTString
	  , RQARTAddInProtocol::Conjugate::rti_CompareFailure
	}
  , {
		"LogMessage"
	  , &RTType_RTString
	  , RQARTAddInProtocol::Conjugate::rti_LogMessage
	}
  , {
		"ResetCompleted"
	  , &RTType_void
	  , RQARTAddInProtocol::Conjugate::rti_ResetCompleted
	}
  , {
		"SetPort"
	  , &RTType_int
	  , RQARTAddInProtocol::Conjugate::rti_SetPort
	}
  , {
		"TestCleanedUp"
	  , &RTType_void
	  , RQARTAddInProtocol::Conjugate::rti_TestCleanedUp
	}
  , {
		"TestCompleted"
	  , &RTType_void
	  , RQARTAddInProtocol::Conjugate::rti_TestCompleted
	}
  , {
		"TestFailed"
	  , &RTType_int
	  , RQARTAddInProtocol::Conjugate::rti_TestFailed
	}
  , {
		"TestTimedOut"
	  , &RTType_void
	  , RQARTAddInProtocol::Conjugate::rti_TestTimedOut
	}
  , {
		"rtBound"
	  , (const RTObject_class *)0
	  , RQARTAddInProtocol::Conjugate::rti_rtBound
	}
  , {
		"rtUnbound"
	  , (const RTObject_class *)0
	  , RQARTAddInProtocol::Conjugate::rti_rtUnbound
	}
};

// }}}RME
