// {{{RME classifier 'Logical View::RQART_TestRun_VVIG::RQARTcap_VVIGimage_ProcessorWS'

#ifndef RQARTcap_VVIGimage_ProcessorWS_H
#define RQARTcap_VVIGimage_ProcessorWS_H

#ifdef PRAGMA
#pragma interface "RQARTcap_VVIGimage_ProcessorWS.h"
#endif

#include <RTSystem/VVIG.h>
#include <Image_Processor_Protocol.h>
#include <RQARTAbstractTestWrapper.h>
#include <RQARTStructureProtocol.h>

// {{{RME tool 'OT::Cpp' property 'HeaderPreface'
// {{{USR

// }}}USR
// }}}RME

extern const RTActorClass RQARTcap_VVIGimage_ProcessorWS;

#define SUPER RQARTAbstractTestWrapper_Actor
class RQARTcap_VVIGimage_ProcessorWS_Actor : public RQARTAbstractTestWrapper_Actor
{
public:
	// {{{RME tool 'OT::Cpp' property 'PublicDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

protected:
	// {{{RME tool 'OT::Cpp' property 'ProtectedDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

private:
	// {{{RME tool 'OT::Cpp' property 'PrivateDeclarations'
	// {{{USR

	// }}}USR
	// }}}RME

protected:
	// {{{RME port 'RQART_TestHarness'
	RQARTStructureProtocol::Conjugate & RQART_TestHarness;
	// }}}RME
	// {{{RME port 'to_controller'
	Image_Processor_Protocol::Conjugate to_controller;
	// }}}RME

public:
	RQARTcap_VVIGimage_ProcessorWS_Actor( RTController * rtg_rts, RTActorRef * rtg_ref );
	virtual ~RQARTcap_VVIGimage_ProcessorWS_Actor( void );
	virtual int _followInV( RTBindingEnd & rtg_end, int rtg_portId, int rtg_repIndex );

private:
	INLINE_CHAINS void chain2_Initial( void );
	INLINE_CHAINS void chain1_errorException( void );
	INLINE_CHAINS void chain7_ignoreStartTestN( void );
	INLINE_CHAINS void chain3_minRunTimeCompleted( void );
	INLINE_CHAINS void chain8_ignoreMessages( void );
	INLINE_CHAINS void chain5_minRunTimeCompleted( void );

public:
	virtual void rtsBehavior( int signalIndex, int portIndex );
	virtual const RTActor_class * getActorData( void ) const;

protected:
	static const RTActor_class rtg_class;

public:
	static const RTStateId rtg_parent_state[];

private:
	static const RTPortDescriptor rtg_ports[];
};
#undef SUPER

// {{{RME tool 'OT::Cpp' property 'HeaderEnding'
// {{{USR

// }}}USR
// }}}RME

#endif /* RQARTcap_VVIGimage_ProcessorWS_H */

// }}}RME
